Page MenuHomePhabricator

Undefined variable: userAgent in ApiCSPReport.php
Closed, ResolvedPublic

Description

Error Message

Notice: Undefined variable: userAgent in /srv/mediawiki/php-1.32.0-wmf.4/includes/api/ApiCSPReport.php on line 101

Stack Trace

Notes

Details

Related Gerrit Patches:

Event Timeline

mmodell created this task.May 17 2018, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2018, 7:45 PM
mmodell triaged this task as Unbreak Now! priority.May 17 2018, 7:45 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMay 17 2018, 7:45 PM
mmodell added a subscriber: Bawolff.

Blame on ApiCSPReport.php isn't very helpful, there doesn't appear to be any recent change to that file. Not sure why this is just now showing up in logs but it's really spammy.

Krinkle lowered the priority of this task from Unbreak Now! to High.EditedMay 18 2018, 12:48 AM
Krinkle added subscribers: Legoktm, Krinkle.

Would recommend to keep this task open until either master is fixed with a follow-up, or until the revert is merged in master as well.

Lowering priority, given the problematic commit was reverted in-branch, unblocking the train. (See T194900 for details)

/cc @Bawolff @Legoktm

Legoktm claimed this task.May 18 2018, 5:17 AM

Change 433688 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] ApiCSPReport: Fix undefined $userAgent variable

https://gerrit.wikimedia.org/r/433688

Change 433688 merged by jenkins-bot:
[mediawiki/core@master] ApiCSPReport: Fix undefined $userAgent variable

https://gerrit.wikimedia.org/r/433688

Anomie added a subscriber: Anomie.May 18 2018, 8:47 AM

This should now be fixed in master. I don't know if anyone wants to unrevert and backport the deployment branch or what.

Anomie moved this task from Unsorted to Done on the MediaWiki-API board.May 18 2018, 8:47 AM
Krinkle closed this task as Resolved.May 19 2018, 11:33 PM

I guess we can let it roll out naturally as part of wmf.5.

Vvjjkkii renamed this task from Undefined variable: userAgent in ApiCSPReport.php to gtcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from gtcaaaaaaa to Undefined variable: userAgent in ApiCSPReport.php.Jul 2 2018, 6:40 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM